Bug 1029633 - Re-using LVM partitions makes them non-resizable in certain cases
Re-using LVM partitions makes them non-resizable in certain cases
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-blivet (Show other bugs)
7.0
All Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Lehman
Release Test Team
:
Depends On: 1027714
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 14:18 EST by David Lehman
Modified: 2014-06-18 00:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-blivet-0.18.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1027714
Environment:
Last Closed: 2014-06-13 05:33:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-11-12 14:18:45 EST
+++ This bug was initially created as a clone of Bug #1027714 +++

Description of problem:
I had a previous F20 LVM installation. I wanted to reuse swap, /boot and /, and delete /home. I achieved that, but I could not enlarge / to occupy space reclaimed by deleting /home. Anaconda claims that the partition is not resizable.

Please see the video.

Also please notice that the free space counter is totally off, not reflecting deleted partitions.

Version-Release number of selected component (if applicable):
anaconda 20.25.6

How reproducible:
always

Steps to Reproduce:
1. create /boot as a standard partition and swap, / and /home on LVM
2. install, then reboot again into the installer
3. reuse swap and /boot
4. delete /home
5. try to reuse / and enlarge it to occupy space reclaimed by deleting /home
6. see that the partition refuses to be enlarged
Comment 2 Michal Kovarik 2014-02-11 10:05:52 EST
Verified on RHEL-7.0-20140210.0 with python-blivet-0.18.23-1.el7. It's possible enlarge '/' mountpoint.
Comment 3 Ludek Smid 2014-06-13 05:33:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.